
Ryzom - Bug # 709

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 09/14/2009 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: DirectSound driver doesn't compile anymore with recent DirectX SDK
Description

Since march 2009 DirectX SDK, DirectSound driver doesn't compile anymore.

In NeL, we fixed the minimum requirement to Windows 2000 and DirectX SDK set the DirectSound version using that value. It is said
that Windows 2000 is using DirectSound 7.0 and so it doesn't find all specific DirectSound 8.0 functions and macros.

History
#1 - 09/14/2009 02:55 pm - kervala
- Status changed from New to Validated

#2 - 09/14/2009 02:55 pm - kervala
- Category set to Sound
- Status changed from Validated to Assigned
- Assignee set to kervala
- Target version set to Version 0.7.0

#3 - 09/14/2009 03:00 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1735.

#4 - 09/30/2009 04:08 pm - sfb
- Status changed from Resolved to Closed

Verified that this fix continues to build on older versions of the SDK.

#5 - 09/29/2010 09:45 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Sound)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 03:37 pm - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
